%define kdeprefix /usr
%define	version 1.3.10
%define qtdir /usr/lib/qt-1.45
%define kdename kpackage
%define kderelease 4

Name: %{kdename}
Summary: Kpackage is a graphical RPM package manager for KDE.
Version: %{version}
Release: %{kderelease}
Source:  ftp://ftp.kde.org/pub/kde/stable/1.1.2/apps/admin/kpackage-%{version}.tgz
Source1: kpackage.console
Source2: kpackage.pamd
Patch0: kpackage-1.3.10-rh.patch
Patch1: kpackage-1.3.10-rpm304.patch
URL: http://www.general.uwa.edu.au/u/toivo/kpackage/
Group: Applications/System
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Requires: kdesupport /usr/bin/consolehelper
Prefix: %{kdeprefix}

%description
Kpackage is a GUI interface to the RPM, Debian, Slackware and BSD package
managers, it is similar in some ways to GLINT. Kpackage is part of the K
Desktop Environment and, as a result, it was designed from the outset
to integrate with the KDE file manager.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1 -b .rh
%patch1 -p1

%build
make -f Makefile.dist
export QTDIR=%{qtdir}
%configure \
	--prefix=/usr \
	--with-extra-includes=/usr/include/rpm \
	--with-install-root=$RPM_BUILD_ROOT

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG" CFLAGS="$RPM_OPT_FLAGS"

%install
make install-strip

mkdir -p $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/usr/bin/kpackage \
	$RPM_BUILD_ROOT/usr/sbin/kpackage
ln -sf consolehelper $RPM_BUILD_ROOT/usr/bin/kpackage

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
install %{SOURCE1} $RPM_BUILD_ROOT/etc/security/console.apps/kpackage
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/kpackage

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename} 
%config(noreplace) /etc/security/console.apps/kpackage
%config(noreplace) /etc/pam.d/kpackage

%changelog
* Wed Mar 22 2000 Chris Ding <cding@redhat.com>
- rebuild for 6.2j

* Mon Jan 10 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Actually make it *work*, not just compile, with RPM 3.0.4 ;)

* Sat Jan  8 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix compilation with rpm 3.0.4 snapshots
- Fix build on alpha/libtool 1.3.4
- rebuild for 6.2

* Tue Nov 30 1999 Preston Brown <pbrown@redhat.com>
- 1.3.10, added docdir.

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- added fallback line to console helper config file

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- made a console-helper application

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- adopted for our 6.1 release.
